void drawLevelInfo() { 
  background(#000000);
  
  drawGrid();
  
  fill(#AA000000);
  noStroke();
  rectMode(CORNER);
  rect(0, 0, width, height);
  
  fill(#FFFFFF);
  textAlign(CENTER, CENTER);
  textFont(headingFont);
  text(levels[selectedLevel][0], width / 2, height / 4);

  textFont(textFont);
  text("Created By:\n" + levels[selectedLevel][1], width / 2, height / 2);
  
  textAlign(CENTER, BOTTOM);
  textFont(smallFont);
  text("Press any key to hide this screen.\nPress arrow keys to start playing.", width / 2, height - 10);
}

void keyPressedLevelInfo() {
  if (key == 'l') {
    gameState = GAME_LEVEL_SELECT;
  } else {
    gameState = GAME_PLAYING;
    keyPressedPlaying();
  }
}
