String[][] levels = {
  {
    "Tutorial 01",
    "Christian Weber\nhttps://wiki-mathe-info.de\n\nMove box to target",
    "#######",
    "#$a  A#",
    "#######"
  }, {
    "Tutorial 02",
    "Christian Weber\nhttps://wiki-mathe-info.de\n\nMove box to any target",
    "#######",
    "#  $  #",
    "#A a A#",
    "#######"
  }, {
    "Tutorial 03",
    "Christian Weber\nhttps://wiki-mathe-info.de\n\nMove box to specific target",
    "########",
    "#     B#",
    "#$b   A#",
    "#     B#",
    "########"
  }, {
    "Tutorial 04",
    "Christian Weber\nhttps://wiki-mathe-info.de\n\nMove boxes to specific targets",
    "#######",
    "#     #",
    "# b  A#",
    "#$    #",
    "# a  B#",
    "#     #",
    "#######"
  }, {
    "Soko 01",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "      ###",
    "      #.#",
    "  #####.#####",
    " ##         ##",
    "##  # # # #  ##",
    "#  ##     ##  #",
    "# ##  # #  ## #",
    "#     @$@     #",
    "####  ###  ####",
    "   #### ####"
  }, {
    "Soko 02",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    " ###########",
    "##         ##",
    "#  @     @  #",
    "# @# #.# #@ #",
    "#    #*#    #####",
    "#  ###.###  #   #",
    "#  .*.$.*.      #",
    "#  ###.###  #   #",
    "#    #*#    #####",
    "# @# #.# #@ #",
    "#  @     @  #",
    "##         ##",
    " ###########"
  }, {
    "Soko 03",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     #####",
    "    ##   #",
    "    #    #",
    "  ###    ######",
    "  #.#.# ##.   #",
    "### ###  ##   #",
    "#   #  @  ## ##",
    "#     @$@     #",
    "#   #  @  #   #",
    "######   ### ##",
    " #  .## #### #",
    " #           #",
    " ##  #########",
    "  ####",
  }, {
    "Soko 04",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     #####",
    "    ##   ##",
    "  ### @ @ ###",
    " ##   # #   ##",
    "##           ##",
    "# @#  ... #@  #",
    "#     .$.     #",
    "#  @# ...  #@ #",
    "##           ##",
    " ##   # #   ##",
    "  ### @ @ ###",
    "    ##   ##",
    "     #####"
  }, {
    "Soko 05",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "   #####",
    "   #   #",
    "   # # ##########",
    "#### #  #   #   #",
    "#       # @   @ #####",
    "# ## #@ #   #   #   #",
    "# @  #  ## ## @   @ #",
    "# ## #####  #   #   #",
    "# @   #  #  ###### ##",
    "### @    $  ...# # #",
    "  #   #     ...# # #",
    "  #####  ###...# # ###",
    "      #### ##### #   #",
    "                 # @ #",
    "                 #   #",
    "                 #####"
  }, {
    "Soko 06",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     #     #",
    "    #########",
    "     #     #",
    "   ###     ###",
    " # # #     # # #",
    "###### #.# ######",
    " #    @. .@    #",
    " #   # #@# #   #",
    " #   . @$@ .   #",
    " #   # #@# #   #",
    " #    @. .@    #",
    "###### #.# ######",
    " # # #     # # #",
    "   ###     ###",
    "     #     #",
    "    #########",
    "     #     #"
  }, {
    "Soko 07",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "####     ####",
    "# .#######. #",
    "#.         .#",
    "## ##   ## ##",
    " # #     # #",
    " #   #@#   #",
    " #   @$@   #",
    " #   #@#   #",
    " ###     ###",
    "##.## # ##.##",
    "#   @ # @   #",
    "#  ## # ##  #",
    "## #.   .# ##",
    " # @     @ #",
    " # ## # ## #",
    " #         #",
    " ###########"
  }, {
    "Soko 08",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "####",
    "#  #       #####",
    "# ##########   #",
    "###.#  #   ### #",
    "  #.# @#@# # ###",
    "  #.#    # @ #",
    "  #.##@# # # #",
    "  #        # #",
    "  #$   ###   #",
    "  #        ###",
    "  #.##@#@# #",
    "  #.#  # # ##",
    "  #.# @#  @ #",
    "###.#    #  #",
    "# ########  ###",
    "#  #     #### #",
    "####       #  #",
    "           ####"
    }, {
    "Soko 09",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "         ####",
    "         #  #",
    "      ####@ ####",
    "      #        #",
    "      # ##.### #",
    "      # ###### #####",
    "      #  +@ ## #   #",
    "  ######### #. @   #",
    "  #   ##.## ## #   #",
    "### #       ## #####",
    "# @   # @##### #",
    "# ###.#  #   @.#",
    "#   ######    ##",
    "#   @.     ####",
    "############",
  }, {
    "Soko 10",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "      #########",
    "  #####       #####",
    "  #       .       #",
    "  # ##  #.#.#  ## #",
    "  #               #",
    "  ###  #@#@#@#  ###",
    "#   #           #   #",
    "### #$ #######  # ###",
    "#   #           #   #",
    "  ###  #@#@#@#  ###",
    "  #               #",
    "  # ##  #.#.#  ## #",
    "  #       .       #",
    "  #####       #####",
    "      #########",
  }, {
    "Soko 11",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     #####",
    "     #   #",
    "     #   #",
    "#### #   #",
    "#  ####@#####",
    "#           #",
    "# .## # ##. #",
    "#           #",
    "#####@####  #",
    "   #   # ####",
    "   # $ #",
    "   #   #",
    "   #####",
  }, {
    "Soko 12",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    " ###########",
    "##      #  #",
    "#  #.   #  #",
    "#      .#  #",
    "##@@##$##@@##",
    " #  #.      #",
    " #  #   .#  #",
    " #  #      ##",
    " ###########",
  }, {
    "Soko 13",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     ######",
    "   ####   #",
    "   #  #   #",
    " ###  @   #",
    " #.. @ @  #",
    " #.. ###@##",
    " #..  @   #",
    "### ##  @ #",
    "#   ## # $#",
    "# ###  ####",
    "#     ##",
    "#######",
  }, {
    "Soko 14",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "           ####",
    "           #  #",
    "           #  #",
    "           #  #",
    "#######   ##@@##   #######",
    "#     #####.  .#####     #",
    "#         @ +. @         #",
    "#         @ .. @         #",
    "#     #####.  .#####     #",
    "#######   ##@@##   #######",
    "           #  #",
    "           #  #",
    "           #  #",
    "           ####",
  }, {
    "Soko 15",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "########",
    "#.#    #",
    "#.# ## ####",
    "#.# @   @ #",
    "#.# # # # #",
    "#.# # # # #",
    "#   # #   #",
    "# @ @ # @ #",
    "#   #$  ###",
    "#########",
  }, {
    "Soko 16",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "          #####",
    "    #######...#",
    "    #        .#",
    "    #        .#",
    "  ###  @  #  ##",
    "  #   @#@   ##",
    "  #    #    #",
    "  # @#@#@#@ #",
    "  #    #    #",
    " ##   @#@   #",
    "##  #  @  ###",
    "#.        #",
    "#.     $  #",
    "#...#######",
    "#####",
  }, {
    "Soko 17",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "    #######",
    "    #   #$##",
    "    #   @  #",
    "    #  #@  ##",
    "  ###   @   #",
    "###.#  ## @ #",
    "#...# @@    #",
    "#...  @     #",
    "#...  #  @@##",
    "## # @#    #",
    " # #      ##",
    " # # ######",
    " #   #",
    " #####",
  }, {
    "Soko 18",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "####################",
    "#+.... #   #   #   #",
    "#...   @   @   @   #",
    "#...   #   #   #   #",
    "#.   ############@##",
    "#.  ##  #  #  ##   #",
    "##@##   @ @#@      #",
    "#   #   #  @  ##   #",
    "#   #####     ######",
    "#   #   ###@###",
    "##@## @ ##   #",
    " # ##   ##   #",
    " # #  ####   #",
    " #     #######",
    " # #     #",
    " # ##@## #",
    " #    #  #",
    " #### # ##",
    "    #   #",
    "    #####",
  }, {
    "Soko 19",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "       #######",
    "       #     #",
    "       # @@@ #",
    "       #     #",
    "     #### # ####",
    "######    .    ######",
    "#   #    ...    #   #",
    "#   @  ##...##  @   #",
    "#   #    ...    #   #",
    "######    .    ######",
    "     #### # ####",
    "       #     #",
    "       # @@@ #",
    "       #     #",
    "    ######$######",
    "    #   #   #   #",
    "    #   @ @ @   #",
    "    #####   #####",
    "        #####",
  }, {
    "Soko 20",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "######",
    "#    ###",
    "# ##   #",
    "#      #",
    "# ## @ ####",
    "#.# @ @ #.#",
    "#.#  @  #.#",
    "#.# @ @ #.#",
    "#.#  @  #.#",
    "#.# @ @ #.#",
    "#### @ ## #",
    "   # $    #",
    "   #   ## #",
    "   ###    #",
    "     ######",
  }, {
    "Soko 21",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "                #####",
    "                #   #",
    "  ############### # #",
    " ##               # #",
    " #    #### #  #...  #",
    " #  #@#  @ #  ###.# #",
    " #  #   @       ### #",
    " ##   @ @#@#  #     #",
    "###   # $#   ## #####",
    "#.  # #@##@     #",
    "#..      @  #####",
    "#...# @    ##",
    "##### # ####",
    "    #   #",
    "    #####",
  }, {
    "Soko 22",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "#########",
    "#       #",
    "# @@@@@ #",
    "#   @   #",
    "#  ###  #",
    "#  ... ##",
    "#  ###  #",
    "## ...  #",
    "#  ###  #",
    "#  ... ##",
    "#  ###  #",
    "## ...  #",
    "#  ###  #",
    "#   @   #",
    "# @@@@@ #",
    "#   $   #",
    "#########",
  }, {
    "Soko 23",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "####### #####",
    "#     # #   #",
    "# ### ### # ###",
    "#             #",
    "### ### # ### #",
    "  # #         #",
    "  # # ####### ###",
    "  # @ #.#$# #   #",
    "  # # # # ### # #",
    "  #   #       # #",
    "  ##### # # # # #",
    "    #   #     # #",
    "    # ### # # # #",
    "    #     #     #",
    "    ####### # # #",
    "          #     #",
    "          #######",
  }, {
    "Soko 24",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "       #######",
    "  ######     #",
    "  #...## # # #",
    "  #.         #",
    "  #.       ###",
    "##### #@##   #",
    "#   #    # @ #",
    "# @ @ @@ @ @ #",
    "# @ #    #   #",
    "#   ##@# #####",
    "###  # #  .#",
    "#         .#",
    "# #$# ##...#",
    "#     ######",
    "#######",
  }, {
    "Soko 25",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "    #####",
    "   ##   #",
    "  ##  @ #",
    " ##  @#@#",
    "##  @ . #####",
    "#  @ ...    #",
    "# @#..$..#@ #",
    "#    ... @  #",
    "##### . @  ##",
    "    #@#@  ##",
    "    # @  ##",
    "    #   ##",
    "    #####",
  }, {
    "Soko 26",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     #####",
    " #####   #",
    " #    @@ ######",
    " # ###    #   #",
    " #  @ @ @ ##@ #",
    " #@ # @ #     #",
    " # @#   #  ####",
    " #  @ #@# ##",
    " # #      ##",
    "## #####   #",
    "#   #.#$   ##",
    "#    .##   .#",
    "##   .......#",
    " ####.#######",
    "    ###",
  }, {
    "Soko 27",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  ####     ####",
    "  #  #######  #",
    "###           ###",
    "#   .#  #  #.   #",
    "#  ..# @#@ #..  #",
    "## ###  #  ### ##",
    " #     @#@     #",
    " #  @   #   @  #",
    " # ########### #",
    " #  @   #   @  #",
    " #     @#@     #",
    "## ###  #  ### ##",
    "#  ..# @#@ #..  #",
    "#   .#  #  #.   #",
    "###     $     ###",
    "  #  #######  #",
    "  ####     ####",
  }, {
    "Soko 28",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "       ###",
    "    ####.####",
    "    #... ...#",
    "    #.#. .#.#",
    "    # #.#.# #",
    "    # # # # #",
    "  ### # # # ###",
    "  #   # # #   #",
    "### #   #   # ###",
    "# @ @ @ @ @ @ @ #",
    "#  @#@#@#@#@#@  #",
    "#       $       #",
    "#################",
  }, {
    "Soko 29",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  ########",
    "  #      ###",
    "  # @@@@   #",
    "  ## # ### #",
    "###        #",
    "#   @@@@ ###",
    "# ### # ##",
    "#   .... #",
    "### .+.. #",
    "  # .... ###",
    "  # ....   #",
    "  ## # ### #",
    "### @@@@   #",
    "#        ###",
    "# ### # ##",
    "#   @@@@ #",
    "###      #",
    "  ########",
  }, {
    "Soko 30",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "     ###########",
    "     #         #",
    "  #### # ##### #",
    "  #..     ...# #",
    "  #.### ####.# #",
    "  # #      # # #",
    "  #   @@@@   # #",
    "### # @    # # #",
    "#   # @$@@ #   #",
    "# # # @  @ # ###",
    "# #   @@@@   #",
    "# # #      # #",
    "# #.### ####.#",
    "# #..     ...#",
    "# #### # #####",
    "#        #",
    "##########",
  }, {
    "Soko 31",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",    
    "    #########",
    "    #       #",
    "    #       #",
    "    # @@@@@ #",
    "    ##     ##",
    "#######   #######",
    "#  . #     # .  #",
    "#  .   # #   .  #",
    "#  .    $    .  #",
    "#  .   # #   .  #",
    "#  . #     # .  #",
    "#######   #######",
    "    ##     ##",
    "    # @@@@@ #",
    "    #       #",
    "    #       #",
    "    #########",
  }, {
    "Soko 32",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",    
    "           #####",
    "           #   #",
    "       ##### # #",
    "       #   @ # #",
    "       # ### # #",
    "       # @     #",
    "       # # ### #",
    "######## #@@   #",
    "#...  #   @  ###",
    "#...      ## ###",
    "#...  #    @   #",
    "########@# ### #",
    "       # @ # # #",
    "       # # ### #",
    "       # @     #",
    "       # ### ###",
    "       #  $  #",
    "       #######",
  }, {
    "Soko 33",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "       #####",
    "   ##### $ #####",
    "####  ## # ##  ####",
    "#        #        #",
    "# ##@# # # # #@## #",
    "#    # # # # #    #",
    "### @# # # # #@ ###",
    "  #     ...     #",
    "  ## ###.#.### ##",
    "   #    ...    #",
    "   ### # # # ###",
    "   #     #     #",
    "   # ### # ### #",
    "   # @ @   @ @ #",
    "   #   #   #   #",
    "   #############",
  }, {
    "Soko 34",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "##############",
    "#..        ..#",
    "#.# ##  ## #.#",
    "#  . @  @ .  #",
    "# # ## @## # #",
    "# #@##  ##@# #",
    "#     @ @ @  #",
    "#  @ @ @     #",
    "# #@##  ##@# #",
    "# # ##@ ## # #",
    "#  + @  @ .  #",
    "#.# ##  ## #.#",
    "#..        ..#",
    "##############",
  }, {
    "Soko 35",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",    
    "     #####",
    "     #   #",
    "###### # ########",
    "#         #    .#",
    "# @   #        .#",
    "# @   #   #    .#",
    "# @ ####### #####",
    "# @ #    #    .#",
    "# @   $  #    .#",
    "# @ #    #    .#",
    "# @ ## #### #####",
    "# @ #   ###    .#",
    "# @ #          .#",
    "#   #   ###    .#",
    "######### #######",
  }, {
    "Soko 36",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  ################",
    "  #              #",
    "  # # ## ##@#### #",
    "  # #     @      #",
    "### #@### # ##@# #",
    "#      .....   # #",
    "# ### #.###.#@## ###",
    "#   @  .....       #",
    "# # ### # ### # ##$#",
    "# #     #  @       #",
    "# #@# # # ### ## ###",
    "# @ #@#       @  #",
    "# # # #@### ######",
    "#           #",
    "#############",
  }, {
    "Soko 37",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "####     ####",
    "#  #     #  #",
    "# ######### #",
    "###       ###",
    "  #   @   #",
    " ## .   . ##",
    " # .@#@#@. #",
    " #  .   .  #",
    " # *#@#@#* #",
    " #    $    #",
    " ###########",
    "  #       #",
    "  #########",
    "   #     #",
    "   #######",
    "    #   #",
    "    #####",
    "     # #",
    "     ###",
  }, {
    "Soko 38",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",    
    "  #######",
    "  #.....#",
    "  #     #",
    " ## @#@ ##",
    "##  @ @  ##",
    "#   @ #   #",
    "#   #$#   #",
    "#   # @   #",
    "##  @ @  ##",
    " ## @#@ ##",
    "  #     #",
    "  #.....#",
    "  #######",
  }, {
    "Soko 39",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "#####                  #####",
    "#   ##                ##   #",
    "# @  ##              ##  @ #",
    "#  @  ##   ######   ##  @  #",
    "##  @  ##  #    #  ##  @  ##",
    " ##  @  #### ## ####  @  ##",
    "  ##  @   #  ..  #   @  ##",
    "   ##       ....       ##",
    "    #  ####..$ ..####  #",
    "    #  ####..  ..####  #",
    "   ##       ....       ##",
    "  ##  @   #  ..  #   @  ##",
    " ##  @  #### ## ####  @  ##",
    "##  @  ##  #    #  ##  @  ##",
    "#  @  ##   ######   ##  @  #",
    "# @  ##              ##  @ #",
    "#   ##                ##   #",
    "#####                  #####",
  }, {
    "Soko 40",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "       #####",
    "     ###   ###",
    "     #       #",
    "     # @   @ #",
    "    ## #@ @# ##",
    " ####    @    ####",
    " #      # #      #",
    "## @#  .....  #@ ##",
    "#   @ #.#.#.# @   #",
    "#    @ ..$.. @    #",
    "#   @ #.#.#.# @   #",
    "## @#  .....  #@ ##",
    " #      # #      #",
    " ####    @    ####",
    "    ## #@ @# ##",
    "     # @   @ #",
    "     #       #",
    "     ###   ###",
    "       #####",
  }, {
    "Soko 41",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "################",
    "#.#            #",
    "#.#@### ###@## #",
    "#.#   # @      #",
    "#.# # # # #### #",
    "#.# # # #      #",
    "#         # #@##",
    "#$### # # # @  #",
    "#       # #@## #",
    "#.# # # # @  # #",
    "#.# # # #@## # #",
    "#.# # #@# ## # #",
    "#.#            #",
    "################",
  }, {
    "Soko 42",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "############################",
    "#      #     #  ###  #     #",
    "#   @ @      #  ##         #",
    "# @#####  #     #    #  #  #",
    "#      #  #  #      ##  #  #",
    "#   @  #  #  #      ##  #  #",
    "#####@ #  #     #    #  #  #",
    "#  @   #     #  ##         #",
    "#     $#     #  ###  #     #",
    "# ####################### ##",
    "#      #      #     #  ##  #",
    "###### #      #         #  #",
    "  #### #  #      #  #   #  #",
    "  #..  #     ##  #  #      #",
    "  #..        ##     #      #",
    "  #..  #  #         #  #   #",
    "  ######      #  #     #   #",
    "       #      #  #     #   #",
    "  ##########################",
  }, {
    "Soko 43",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    " #########",
    " #       # ######",
    " #  @ ## ###    ####",
    "## ##    #.# ##    #",
    "#  @  ## #.#    ## ##",
    "# ##     #.   #  @  #",
    "#  @  ## #.$     ## #",
    "# ##      .# ##  @  #",
    "#  @  #   .#     ## #",
    "## ##    #.# ##  @  #",
    " #    ## #.#    ## ##",
    " ####    ### ## @  #",
    "    ###### #       #",
    "           #########",
  }, {
    "Soko 44",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "###################",
    "#                 #",
    "# # ##@##@##@## # #",
    "#     @  $  @     #",
    "# # ##@##@##@## # #",
    "#     .## ##.     #",
    "##### . . . . #####",
    "    # .## ##. #",
    "    #         #",
    "    ###########",
  }, {
    "Soko 45",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  #####",
    "###   ########",
    "#            #",
    "#     ###    #",
    "# ##@##.#@## #",
    "# ## #..# ## #",
    "# @  #..#  @ #",
    "# ## #  # ## #",
    "# @   $    @ #",
    "# ## #  # ## #",
    "# @  #..#  @ #",
    "# ## #..# ## #",
    "# ##@#.##@## #",
    "#    ###     #",
    "#            #",
    "########   ###",
    "       #####",
  }, {
    "Soko 46",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  ##########",
    "  #        #",
    "  # ## ##  #",
    "###        #",
    "#   @#.#@# #",
    "# @# .+.   ##",
    "#   @#.#@   #",
    "#    .*. #@ #",
    "#  #@#.#@   #",
    "##        ###",
    " #  ## ## #",
    " #        #",
    " ##########",
  }, {
    "Soko 47",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "      #############",
    "      #   #   #   #",
    "      #   @   @   #",
    "      #   #   #   #",
    "########@#######@##",
    "#...  #   #   #   #",
    "#...  @   @ $ #   #",
    "#...  #   #   #   #",
    "################@##",
    "      #   #   #   #",
    "      #   @   @   #",
    "      #   #   #   #",
    "      #############",
  }, {
    "Soko 48",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "################",
    "#      ##      #",
    "#    @ ## @    #",
    "#  @ @ ## @ @  #",
    "# @##########@ #",
    "#      ##      #",
    "# @ @      @ @ #",
    "###### ## ######",
    "#  ### ## ###  #",
    "#       $      #",
    "#      ##      #",
    "#  ##########  #",
    "#    ..##..    #",
    "#    ..##..    #",
    "#    ..##..    #",
    "################",
  }, {
    "Soko 49",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    " #######",
    " #     #",
    " #  @  #",
    "##  #  ##",
    "#  .@.  #",
    "# #@+@# #",
    "#  .@.  #",
    "## . . ##",
    " # # # #",
    " # @ @ #",
    " #     #",
    " #######",
  }, {
    "Soko 50",
    "Brian Kent\nkentpw@norwich.net\nhttp://www.aenigmafonts.com/games/sokoban2.html",
    "  ######",
    "###    ###",
    "#   .#   #",
    "#  @.@ # #",
    "#  #* @  #",
    "# *..   ##",
    "# @#@$  #",
    "# *..  ##",
    "#  #@ ##",
    "##    #",
    " ######",
  }
};
